<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{facility.idFacility}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span></a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!facility.idFacility">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="facility.idFacility" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.facility.facilityCode" for="field_facilityCode">Facility Code</label>
                        <input type="text" class="form-control" name="facilityCode" id="field_facilityCode"
                            [(ngModel)]="facility.facilityCode"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.facility.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="facility.description"  />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.facility.facilityType" for="field_facilityType">Facility Type</label>
                        <select class="form-control" id="field_facilityType" name="facilityType" [(ngModel)]="facility.facilityTypeId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="facilityTypeOption.idFacilityType" *ngFor="let facilityTypeOption of facilitytypes; trackBy: trackFacilityTypeById">{{facilityTypeOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.facility.partOf" for="field_partOf">Part Of</label>
                        <select class="form-control" id="field_partOf" name="partOf" [(ngModel)]="facility.partOfId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <label class="form-check-label">
                                <p-checkbox name="input_workDay" label="Completed" styleClass="form-check-input"
                                    [(ngModel)]="facility.completed" binary="true"></p-checkbox>
                            </label>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.dateFrom" for="field_dateFrom">Date From</label>
                        <div class="input-group">
                            <p-calendar id="field_dateFrom" name="input_dateFrom" [(ngModel)]="selectedDateFrom"
                                dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                [showIcon]="true" [disabled]="facility.completed"></p-calendar>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.leasingTenorProvide.dateThru" for="field_dateThru">Date Thru</label>
                        <div class="input-group">
                            <p-calendar id="field_dateThru" name="input_dateThru" [(ngModel)]="selectedDateThru"
                                dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true" [minDate]="dateNow"
                                [showIcon]="true" [disabled]="facility.completed"></p-calendar>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jhi-container-as-list [idFacility]="idFacility"></jhi-container-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>